transformers-0.3.0.0: Concrete functor and monad transformers

Copyright | (c) Ross Paterson 2010
License | BSD-style (see the file LICENSE)
Maintainer | ross@soi.city.ac.uk
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Functor.Constant

Description

The constant functor.

Synopsis

- newtype Constant a b = Constant {
  - getConstant :: a
  }

# Documentation

newtype Constant a b

Constant functor.

Constructors

Constant |
Fields getConstant :: a

Instances

Functor (Constant a) |
Monoid a => Applicative (Constant a) |
Foldable (Constant a) |
Traversable (Constant a) |